=== debian/changelog ===
xcalib (0.8.dfsg1-5) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Eliel Luiz da Silva <eliel.2022@alunos.utfpr.edu.br>  Tue, 14 Oct 2025 11:50:59 -0300

xcalib (0.8.dfsg1-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Nov 2024 00:13:18 +0100

xcalib (0.8.dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Take over package maintenance via ITS process. (Closes: 1009068)
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13. (Closes: #965887)
    + Convert package to "3.0 (quilt)" format.
  * debian/rules: Convert to dh sequencer.
  * debian/patches/0001-use-autoconf.patch: Add patch to use autoconf
    and automake instead of manually-written Makefile.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 11:35:33 -0400

xcalib (0.8.dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    + Fix FTCBFS: Let dpkg's buildtools.mk set a sane $(CC).
      (Closes: #900143)
    + Fix FTBFS with gcc 9. (Closes: #925863)
  * debian/control: Replace obsolete Priority: extra with
    Priority: optional.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Nov 2019 19:42:44 -0500

xcalib (0.8.dfsg1-2) unstable; urgency=low

  * Added Homepage header.
  * Updated Standards-Version.
  * Updated the watch file.
  * Minor updates on debian/rules.
  * Changed to <bencer@debian.org> address.

 -- Jorge Salamero Sanz <bencer@debian.org>  Wed, 09 Jul 2008 12:49:18 +0200

xcalib (0.8.dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-dep on libxext-dev (Closes: #486993, #453047)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2008 22:50:53 +0200

xcalib (0.8.dfsg1-1) unstable; urgency=low

  *  Initial release (Closes: #429618).
  *  Repackaged upstream release to meet the DFSG.

 -- Jorge Salamero Sanz <bencer@cauterized.net>  Thu, 30 Aug 2007 13:29:09 +0200
