=== debian/control ===
Source: xcalib
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libxext-dev,
               libxxf86vm-dev,
Standards-Version: 4.7.0
Homepage: http://xcalib.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/xcalib
Vcs-Git: https://salsa.debian.org/debian/xcalib.git

Package: xcalib
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: icc-profiles,
Description: Tiny monitor calibration loader for Xorg
 xcalib loads 'vcgt'-tag of ICC profiles to the X-server
 using the XVidMode Extension in order to calibrate your
 display.
