=== debian/tests/control ===
Test-Command: xcalib -help | grep "^xcalib"
Restrictions: superficial
