=== debian/watch ===
# watch control file for uscan
version=3
opts=dversionmangle=s/\.dfsg\d+$// \
http://sf.net/xcalib/xcalib-source-(.+)\.tar\.gz
